SafeGuard Client 6.10: Installation and Upgrade

  • ID de l'article 120018
  • Mis à jour : 04 avr. 2014

SafeGuard Client 6.10: Installation and Upgrade

Known to apply to the following Sophos product(s) and version(s)


SafeGuard BitLocker Client 6.10.0
SafeGuard  Device Encryption 6.10.0

Operating systems
Windows 7 SP1, Windows 8, Windows 8.1

What To Do

Depending on the current installation base and which modules you require, follow one of the below mentioned scenarios.

Before installing or upgrading the SafeGuard Client, we recommend you ensure that your system is correctly prepared, as outlined in KBA 108088.

New installations

Default installation (optionally including Data Exchange, Cloud Storage or File Share module)

Follow the steps described in chapter 9.5 "Installing the encryption software" of the SafeGuard Installation Guide.

FIPS compliant installations (Windows 7 with Sophos Volume Based Encryption only)

  1. Run the SGxClientPreinstall.msi which is provided together with the Client installers (make sure you´re using the SGxClientPreinstall.msi that comes with SafeGuard 6.10.1 and not a previous version).
  2. Run the installation of SafeGuard Client in the FIPS compliant mode (using SGNClient.msi or SGNClient_x64.msi in combination with the FIPS parameter e.g. msiexec /i SGNClient.msi FIPS=1 )
  3. Run the installation of the SafeGuard Client Configuration Package (needs to be created in the SafeGuard Management Center, as described in chapter 9.4 of the Installation Manual).
  4. Reboot.

Installation of the Bitlocker Challenge/Response Feature

Consider the enhanced hardware requirements of this feature which are described in the product Release Notes. 

manual installation: 

Chose the Custom setup type and activate the Bitlocker Challenge/Response Feature  

 

automated installation/deployment:

run msiexec /i SGNClient_x64.msi with the parameter ADDLOCAL=Client,BaseEncryption,BitLockerSupport,BitlockerSupportCR,CredentialProvider  


Upgrade of existing installations (supported as of 5.6x)

Important note: Do Not remove SGxClientPreinstall or VC++ Redist packages that are already installed.

Default installation (optionally including Data Exchange, Cloud Storage or File Share module)

Follow the steps described in chapter 4.4 "Upgrade endpoints" of the SafeGuard Enterprise Upgrade Guide.

 

Upgrades from previous versions including the Configuration Protection module

SafeGuard 6.10 does not include the Configuration Protection Module anymore. If you need the functionality of this module do NOT upgrade the clients to version 6.10 as this will remove the module.

However, removing Configuration Protection during an upgrade from 5.60 will not generate the uninstall password for the Configuration Protection Client.

Due to an unsolvable issue in the 5.60 installation, the uninstall password, needed to uninstall the Configuration Protection Client, will not be generated if Configuration Protection is removed during the upgrade to 6.10. It is recommended to first uninstall Configuration Protection in 5.60 and then upgrade to 6.10. Upgrades from 6.00 do not suffer from this limitation.

 

FIPS compliant Upgrade

  1. Run the SGxClientPreinstall.msi which is provided together with the Client installers (make sure you´re using the SGxClientPreinstall.msi that comes with SafeGuard 6.10 and not a previous version).
  2. Run the upgrade of the SafeGuard Client in FIPS compliant mode (using SGNClient.msi or SGNClient_x64.msi in combination with the FIPS parameter e.g. msiexec /i SGNClient.msi FIPS=1 ).
  3. Reboot.

 

 
Si vous avez besoin de plus d'informations ou d'instructions, veuillez contacter le support technique.

Évaluez cet article

Très mauvais Excellent

Commentaires